> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the interval (in ms) of the training data

> Get the interval of the training data; if multiple intervals are present, the interval of the longest data item is returned. This only takes data in your _training_ set into account.



## OpenAPI

````yaml /.assets/openapi.yaml get /api/{projectId}/data-interval
openapi: 3.0.0
info:
  title: Edge Impulse API
  version: 1.0.0
servers:
  - url: https://studio.edgeimpulse.com/v1
security:
  - ApiKeyAuthentication: []
  - JWTAuthentication: []
  - JWTHttpHeaderAuthentication: []
  - OAuth2: []
paths:
  /api/{projectId}/data-interval:
    get:
      tags:
        - Projects
      summary: Get the interval (in ms) of the training data
      description: >-
        Get the interval of the training data; if multiple intervals are
        present, the interval of the longest data item is returned. This only
        takes data in your _training_ set into account.
      operationId: getProjectRecommendedDataInterval
      parameters:
        - $ref: '#/components/parameters/ProjectIdParameter'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectDataIntervalResponse'
components:
  parameters:
    ProjectIdParameter:
      name: projectId
      in: path
      required: true
      description: Project ID
      schema:
        type: integer
  schemas:
    ProjectDataIntervalResponse:
      allOf:
        - $ref: '#/components/schemas/GenericApiResponse'
        - type: object
          required:
            - intervalMs
            - frequencyHz
            - byDatastream
          properties:
            intervalMs:
              type: number
            frequencyHz:
              type: number
            byDatastream:
              type: array
              description: >-
                Only filled if project has "multi_datastreams" experiment
                enabled. Otherwise an empty array.
              items:
                type: object
                required:
                  - type
                  - intervalMs
                  - frequencyHz
                  - sensors
                properties:
                  type:
                    type: string
                    enum:
                      - video
                      - image
                      - time-series
                      - features
                  intervalMs:
                    type: number
                  frequencyHz:
                    type: number
                  sensors:
                    type: array
                    items:
                      type: object
                      required:
                        - name
                        - units
                      properties:
                        name:
                          type: string
                          description: Name of the axis
                          example: accX
                        units:
                          type: string
                          description: >-
                            Type of data on this axis. Needs to comply to SenML
                            units (see
                            https://www.iana.org/assignments/senml/senml.xhtml).
    GenericApiResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
          description: Whether the operation succeeded
        error:
          type: string
          description: Optional error description (set if 'success' was false)
  securitySchemes:
    ApiKeyAuthentication:
      type: apiKey
      in: header
      name: x-api-key
    JWTAuthentication:
      type: apiKey
      in: cookie
      name: jwt
    JWTHttpHeaderAuthentication:
      type: apiKey
      in: header
      name: x-jwt-token
    OAuth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /v1/oauth/authorize
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        implicit:
          authorizationUrl: /v1/oauth/authorize
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        password:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        clientCredentials:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information

````